# RhinoReminds

> An XMPP reminder bot written in C#.

## Getting Started
1. Install the NuGet dependencies:

```bash
nuget restore
```

2. Build the solution:

```bash
msbuild
```

3. Specify the environment variables

Variable		| Meaning
----------------|------------------------
`XMPP_JID`		| The JID to connect with
`XMPP_PASSWORD`	| The password to use when connecting

4. Execute the program

```bash
cd RhinoReminds/bin/{Debug|Release}
# Linux:
mono [--debug] RhinoReminds.exe [--help]
# Windows:
RhinoReminds.exe [--help]
```

## Usage
The bot operates on natural language instructions. It picks what to do from the first word in the sentence, but the rest is parsed via AI.

### Setting a reminder

```
Remind me to feed the cat at 6pm
Remind me about CrossCode's release on 20th September 2018
Remind me to water the greenhouse tomorrow at 4:03pm
Remind me in 1 hour to check the oven
```

### Listing reminders

```
List all reminders
Show all
List all
```


## Useful Links
 - [Microsoft.Text.Recognizers Samples](https://github.com/Microsoft/Recognizers-Text/tree/master/.NET/Samples)
 - [S22.Xmpp API Documentation](https://smiley22.github.io/S22.Xmpp/Documentation/)
 - 